# 3.3 Befehlszeilen-Parameter

     ./kmidi -h
      TiMidity version 0.2i (C) 1995 Tuukka Toivonen <toivonen@clinet.fi>
      TiMidity is free software and comes with ABSOLUTELY NO WARRANTY.

      KMidi version 1.1.1 MIDI und WAVE player/converter
      Copyright (C) 1997 Bernd Johannes Wuebben <wuebben@math.cornell.edu>

      KMidi is free software and comes with ABSOLUTELY NO WARRANTY.

     Anwendung:
       kmidi [Optionen] Dateiname [...]

       Benutzen Sie "-" als Dateinamen, um eine MIDI-Datei von stdin zu lesen

     Optionen:
       -o Datei Ausgabe in eine andere (Geräte-)Datei (Verwenden Sie "-" für
                die Standardausgabe)
       -O Modus Wähle Ausgabe-Modus und -Format (siehe unten)
       -s f     Wähle die Samplingfrequenz f (Hz oder kHz)
       -a       Schalte den Antialiasing Filter ein
       -f       Schalte den Fast Decay Modus ab
       -p n     Erlaube n-stimmige Polyphonie
       -A n     Verstärke die Laustärke um n Prozent (Dies kann Clipping
                bewirken)
       -C n     Setze das Verhältnis der Sample- und Kontrollfrequenzen

       -L Verz  Füge Verz zum Suchpfad hinzu
       -c Datei Lies zusätzliche Konfiguration aus Datei
       -I n     Verwende das Programm n als Voreinstellung
       -P Datei Verwende die Patch-Datei für alle Programme
       -D n     Spiele das Schlagzeug auf Kanal n
       -Q n     Ignoriere den Kanal n
       -F       Schalte schnelles Panning ein
       -U       Lösche die Instrumente zwischen dem Abspielen von zwei MIDI-
                Dateien aus dem Speicher

       -i Modus Wähle die Benutzerschnittstelle (siehe unten)
       -B n     Setze die Anzahl der Puffer-Fragmente
       -h       Zeige diese Hilfe an (auf englisch)

     Verfügbare Ausgabemodi (-O Option):

       -Od      Linux dsp Gerät
       -Ow      RIFF WAVE Datei
       -Or      Rohe Waveform Daten

     Ausgabeformat-Optionen (zur -O? Option hinzufügen):

        `8'     8-bit Samplebreite
        `1'     16-bit Samplebreite
        `U'     uLaw kodiert
        `l'     Linear kodiert
        `M'     einstimmig (Mono)
        `S'     Stereo
        `s'     Vorzeichenbehaftete Ausgabe
        `u'     Vorzeichenlose Ausgabe
        `x'     Ausgabe mit vertauschten Bytes

     Verfügbare Benutzerschnittstellen (-i Option):

       -iq      KMidi mit Qt Schnittstelle
       -id      Befehlszeilen-Schnittstelle

     Schnittstellen-Optionen (zur -i? Option hinzufügen):

        `v'     ausführliche Angaben
        `q'     wenige  Angaben
        `t'     alles mitschreiben